org.apache.tapestry5.internal.webresources

## Class ResourceLessSource

- java.lang.Object
- - com.github.sommeri.less4j.LessSource
  - - org.apache.tapestry5.internal.webresources.ResourceLessSource

-     public class ResourceLessSource
      extends com.github.sommeri.less4j.LessSource

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.github.sommeri.less4j.LessSource

      `com.github.sommeri.less4j.LessSource.AbstractHierarchicalSource, com.github.sommeri.less4j.LessSource.CannotReadFile, com.github.sommeri.less4j.LessSource.FileNotFound, com.github.sommeri.less4j.LessSource.FileSource, com.github.sommeri.less4j.LessSource.StringSource, com.github.sommeri.less4j.LessSource.StringSourceException, com.github.sommeri.less4j.LessSource.URLSource`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBytes()`
    `java.lang.String` | `getContent()`
    `com.github.sommeri.less4j.LessSource` | `relativeSource(java.lang.String filename)`

    - ### Methods inherited from class com.github.sommeri.less4j.LessSource

      `getName, getURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### relativeSource

          public com.github.sommeri.less4j.LessSource relativeSource(java.lang.String filename)
                                                              throws com.github.sommeri.less4j.LessSource.FileNotFound,
                                                                     com.github.sommeri.less4j.LessSource.CannotReadFile,
                                                                     com.github.sommeri.less4j.LessSource.StringSourceException

      Specified by:
        `relativeSource` in class `com.github.sommeri.less4j.LessSource`
      Throws:
        `com.github.sommeri.less4j.LessSource.FileNotFound`
        `com.github.sommeri.less4j.LessSource.CannotReadFile`
        `com.github.sommeri.less4j.LessSource.StringSourceException`

    - #### getContent

          public java.lang.String getContent()
                                      throws com.github.sommeri.less4j.LessSource.FileNotFound,
                                             com.github.sommeri.less4j.LessSource.CannotReadFile

      Specified by:
        `getContent` in class `com.github.sommeri.less4j.LessSource`
      Throws:
        `com.github.sommeri.less4j.LessSource.FileNotFound`
        `com.github.sommeri.less4j.LessSource.CannotReadFile`

    - #### getBytes

          public byte[] getBytes()
                          throws com.github.sommeri.less4j.LessSource.FileNotFound,
                                 com.github.sommeri.less4j.LessSource.CannotReadFile

      Specified by:
        `getBytes` in class `com.github.sommeri.less4j.LessSource`
      Throws:
        `com.github.sommeri.less4j.LessSource.FileNotFound`
        `com.github.sommeri.less4j.LessSource.CannotReadFile`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.